"use strict";
var _attributeExtractor = require("./attributeExtractor");
test("should work", ()=>{
    const schema = `
model SomeModel {
    id String @id @default(auto()) @map("_id") @db.ObjectId
}`;
    expect((0, _attributeExtractor).attributeExtractor(schema)).toBe(`
model SomeModel {
    /// @map("_id") @db.ObjectId
    id String @id @default(auto()) @map("_id") @db.ObjectId
}`);
});
test("should work without indentation", ()=>{
    const schema = `
model SomeModel {
id String @id @default(auto()) @map("_id") @db.ObjectId
}`;
    expect((0, _attributeExtractor).attributeExtractor(schema)).toBe(`
model SomeModel {
/// @map("_id") @db.ObjectId
id String @id @default(auto()) @map("_id") @db.ObjectId
}`);
});
